<!DOCTYPE html>
<html>

<head>
  <meta charset='utf-8'>
  <title>Pizza 365 project</title>
  <meta name='viewport' content='width=device-width, initial-scale=1'>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body onload="onPageLoading()">
  <div class="container">
    <p class="h3 text-center mt-5"> Chọn đồ uống </p>
    <div class="form-group col-12">
      <hr class="mt-5 mb-5" />
    </div>

    <div class="form-group">
      <label>Đồ uống:</label>
      <select class="form-control" id="select-drink">
        <option id="option">Chọn đồ uống</option>
      </select>
    </div>
    <button id="show-result" class="btn btn-primary w-25">Hiển thị</button>
  </div>
  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading(){
      "use strict";
      //B1: Đọc - không có

      //B2: Kiểm tra - không có

      //B3: Xử lý Api
      var vXmlHttp = new XMLHttpRequest();
      callApi(vXmlHttp);
      
      vXmlHttp.onreadystatechange =
        function () {
          if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
            console.log(vXmlHttp.responseText); //ghi response text ra console.log
            //B4: Đổ dữ liệu vào select
            fillDataToSelect(vXmlHttp.responseText);
          }
        };
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //mã nguồn để load data về
    /*function sampleCodeLoadData() {
      var xhttp = new XMLHttpRequest();
      xhttp.onreadystatechange =
        function () {
          if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
            console.log(xhttp.responseText); //ghi response text ra console.log
          }
        };
      xhttp.open("GET", "http://203.171.20.210:8080/devcamp-pizza365/drinks", true);
      xhttp.send();
    }*/

    function callApi(paramXmlHttp){
      paramXmlHttp.open("GET", "http://203.171.20.210:8080/devcamp-pizza365/drinks", true);
      paramXmlHttp.send();
    }

    function fillDataToSelect(paramData){
      var vObjData = JSON.parse(paramData);
      var vSelectElement = document.getElementById("select-drink");
      for(var bI= 0; bI<vObjData.length; bI++){
        var bOption = document.getElementById("option");
        bOption.value = vObjData[bI].maNuocUong;
        bOption.innerHTML = vObjData[bI].tenNuocUong;
        vSelectElement.appendChild(bOption);
      }
    }
  </script>
</body>

</html>